# norootforbuild
#!BuildIgnore:          post-build-checks
Name:		gamin
Version:	0.1.9
Release:	7.10

Summary:	Library providing the FAM File Alteration Monitor API
License:	LGPL
Group:		Development/Libraries
URL:		http://www.gnome.org/~veillard/gamin/

Source:		http://www.gnome.org/~veillard/gamin/sources/%{name}-%{version}.tar.bz2
Source1:	gamin-rpmlintrc
Obsoletes:	fam
Provides:	fam

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	glib2-devel python python-devel

%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with FAM but not dependent on a system wide
daemon.


%package devel
Summary:	Libraries, includes, etc. to embed the Gamin library
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	fam-devel
Provides:	fam-devel

%description devel
Libraries, includes, etc. to embed the Gamin library.


%package python
Summary:	Python bindings for the gamin library
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	python

%description python
The gamin-python package contains a module that allow monitoring of
files and directories from the Python language based on the support
of the gamin package.


%prep
%setup -q -n %{name}-%{version}
chmod 644 python/tests/*.py

%build
%configure
%__make %{?jobs:-j%{jobs}}


%install
%__make DESTDIR=%{buildroot} install-strip
# libfam.la :: dependency_libs=''
# libgamin-1.la :: dependency_libs=''
# /usr/lib/python2.6/site-packages/_gamin.la :: dependency_libs='-L/usr/src/packages/BUILD/gamin-0.1.9/libgamin/.libs'

sed -i s#^dependency_libs=''#dependency_libs=' -L%{_libdir}'# %{buildroot}%{_libdir}/libfam.la
sed -i s#^dependency_libs=''#dependency_libs=' -L%{_libdir}'# %{buildroot}%{_libdir}/libgamin-1.la
sed -i s#-L${RPM_BUILD_DIR}/%{name}-%{version}/libgamin/.libs## %{buildroot}%{_libdir}/python*/site-packages/_gamin.la

%clean
[ -d "%{buildroot}" -a -n "%{buildroot}" ] && %__rm -rf "%{buildroot}"


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%fdupes

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright TODO
%doc doc/*.html
%doc doc/*.gif
%doc doc/*.txt
%{_libdir}/lib*.so.*
%{_libexecdir}/gam_server


%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/fam.h
%{_libdir}/pkgconfig/gamin.pc


%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright TODO
%{_libdir}/python*/site-packages/gamin.py*
%{_libdir}/python*/site-packages/_gamin*
%doc python/tests/*.py
%doc doc/python.html


%changelog
* Sat Dec 27 2008 Carsten Schoene <cs@linux-administrator.com> - 0.1.9
- initial import
